
<!DOCTYPE html><!-- HTML5 -->
<html lang="ru-RU" dir="ltr">
	<head>
		<title>Панель администрирования - </title>
		<meta charset="utf-8" />
		<!--[if IE]><meta http-equiv="ImageToolbar" content="False" /><![endif]-->
		<meta name="author" content="Гармаш С.В. " />
		<meta name="viewport" content="width=992" />
		<link rel="icon" href="../../sg_cm/sg_cm/favicon.ico" type="image/vnd.microsoft.icon" />
		<link rel="stylesheet" type="text/css" href="../../sg_cm/sg_cm/style/reset.css" media="screen,print" />
		<link rel="stylesheet" type="text/css" href="../../sg_cm/sg_cm/style/print.css" media="print" />
		<link rel="stylesheet" type="text/css" href="../../sg_cm/sg_cm/style/style.css" media="screen,print" />
		<link rel="stylesheet" type="text/css" href="../../sg_cm/sg_cm/style/template.css" media="screen" />
		<link rel="stylesheet" type="text/css" href="../../sg_cm/sg_cm/style/menu.css" media="screen" />
		<!--[if lte IE 7]><link rel="stylesheet" type="text/css" href="../../sg_cm/sg_cm/style/ie.css" media="screen" /><![endif]-->
		<link rel="stylesheet" type="text/css" href="../../sg_cm/sg_cm/style/cap2.css" media="screen" />
		<script type="text/javascript" src="../../res/jquery.js?12-0-9-30"></script>
		<script type="text/javascript" src="../../sg_cm/sg_cm/res/x5engine.js?57"></script>
		<link rel="stylesheet" type="text/css" href="../../sg_cm/css/jquery.lightbox-0.5.css" media="screen" /> 
		<script type="text/javascript" src="../../sg_cm/js/jquery.lightbox-0.5_for_admin.min.js"></script>
		<script type="text/javascript">		
			$(function() {
				$('.gallery a, .sg_gallery a, a.gallery, a.sg_gallery, a[rel*=sg_gallery]').lightBox(); // Select all links in object with sg_gallery class
				
				
			});
		</script>
		<? 
			function defineRoot1() 	{  // найти путь к корню сайта
				$root1=''; 
				for ($x=1; $x<count(explode ('/',$_SERVER['PHP_SELF'])); $x++) 
				{if (is_dir($root1.'sg_cm/content')) break;
				$root1.='../';}
				return $root1;
			}
			function writeCodeTitle($pget) { // дописать код sg_cm_code_title вверху страницы при сканировании
				if(strpos($pget,"<?php include_once \$root1.'sg_cm/include/sg_cm_code_title.php'; ?>")===false) 
				{$pget="<?php 
					\$root1=''; 
					for (\$x=1; \$x<count(explode ('/',\$_SERVER['PHP_SELF'])); \$x++) 
					{if (is_dir(\$root1.'sg_cm/content')) break;
					\$root1.='../';}
					include_once \$root1.'sg_cm/include/sg_cm_code_title.php'; ?>".$pget;
				}
				return $pget;
			}
			
			function writeTitleTags($pget)	
			{	//запишем php-теги вместо заголовков и метатегов на страницу сайта
				$pget = preg_replace('!<meta name="description" content="([^\"]*?)" />!','<? echo \$tegDescr."\r\n" ;?>', $pget);
				if(strpos($pget,'<? echo $tegDescr')===false){
					$pget=str_replace('<meta name="viewport', '<? echo $tegDescr."\r\n\t\t";?>'."<meta name=\"viewport", $pget);
				}
				$pget = preg_replace('!<meta name="keywords" content="([^\"]*?)" />!','<? echo \$tegKW."\r\n\t\t".$tegMeta."\r\n\t\t" ;?>', $pget);
				if(strpos($pget,'<? echo $tegKW')===false){
					$pget=str_replace('<meta name="viewport', '<? echo $tegKW."\r\n\t\t".$tegMeta."\r\n\t\t";?>'."<meta name=\"viewport", $pget);
				}
				$pget = preg_replace('!<h1([^\>]*?)>([^\<]*?)</h1>!', '<h1$1><? echo \$tegH1;?></h1>', $pget,1);
				$pget = preg_replace('!<title>([^\<]*?)</title>!', '<? echo \$title."\r\n";?>', $pget,1);
				$pget = preg_replace('!<h2([^\>]*?)>([^\<]*?)</h2>!', '<h2$1><? echo \$tegH2;?></h2>', $pget,1);
				return $pget;
			}
			
			//функция для формирования списка страниц (списка папок в директории content)
			function page_list()  {$cdir=getcwd();
				
				chdir('../../sg_cm/content');
				$page_array=glob("{*,*/*,*/*/*,*/*/*/*}", GLOB_ONLYDIR|GLOB_BRACE  );
				if(!$page_array || $page_array===FALSE)  $page_array=array();
				sort ($page_array); chdir($cdir);
				return $page_array;
			}
			
			$PG=array();$PG1=array();$PG2=array();
			//$PG это сисок всех папок , созданных в менеджере страниц (весь перечень страниц доступных для выбора в админ панели)
			//$PG1 - страницы меню (точнее те, что есть в html карте сайта)
			//$PG2 - те, которых нет в карте сайта - "скрытые" страницы
			$PG=page_list();
			if (is_file("../../imsitemap.html")) {
				$f=file_get_contents("../../imsitemap.html");
				$fnd1='id="imHeader"'; $fnd2='id="imFooter"';
				$pos1 = strpos($f, $fnd1);
				$ln=strpos($f, $fnd2)-$pos1;
				$f=substr($f, $pos1, $ln);
				foreach ($PG as $v) { 
					$d='../../sg_cm/content/'.$v.'/*'; 
					$intpapki=glob($d, GLOB_ONLYDIR); // если внутри есть другие папки , то текущая папка рассматривается как "уровень", а не как страница, внутри уровня не должно быть блоков, уровень не попадает в выпадающий список страниц админ панели
					if(!$intpapki || $intpapki===FALSE)  $intpapki=array();
					if(count($intpapki)!=0) continue;
					$v1=basename($v).'.'; $pos = strpos($f, 'href="'.$v1); 
					if ($pos===false) $pos = strpos($f, 'href="/'.$v1);
					if ($pos===false && $v1!='index.' ) $PG2[]=$v;
					else  $PG1[]=$v;
				}
			} 
			else {
				foreach ($PG as $v) { 
					$d='../../sg_cm/content/'.$v.'/*';
					$intpapki=glob($d, GLOB_ONLYDIR);
					if(!$intpapki || $intpapki===FALSE)  $intpapki=array();
				if(count($intpapki)==0) $PG1[]=$v;}
			}  
			if (md5_file('../../sg_cm/sg_cm/style/top.png') === '963d8c9e3ee09c34379fda89e4173052') {}
			else {echo __LINE__;  exit;}
			
			//функция для формирования списка скриптов (папка скрипта должна начинаться с букв hs_)
			function script_list()  {$cdir=getcwd();
				chdir('../../');
				$page_array=glob("hs_*", GLOB_ONLYDIR );
				if(!$page_array || $page_array===FALSE)  $page_array=array(); 
				sort ($page_array); chdir($cdir);
				return $page_array;
			}
			
			$PScript=script_list();
			
			//код для определения что открыта страница статическая а не скриптовая
			$page=explode("/",$_SERVER['PHP_SELF']); 
			if ($page[count($page)-1] == 'index.php') {$classTools='';}  else  {$classTools="class='imHidden'";}
			$curscriptpage=$page[count($page)-3];
			
			//запись пути к папке для файлового менеджера
			
			if ($curscriptpage != 'sg_cm') {$CPAT=$curscriptpage;   }  else  {
				$CPAT=$indx; 
			}
			
			//автоматическое создание папок в upload
			
			if(!is_dir("../../sg_cm/upload/".$CPAT) &&  preg_match("/^[\/A-Za-z0-9_-]{2,100}$/",$CPAT) && (in_array($CPAT, $PG) ||  in_array($CPAT, $PScript)   )   ) 
			{$cdir=getcwd(); 
				chdir('../../');
				mkdir("sg_cm/upload/".$CPAT,0700,true);
			chdir($cdir);}
			
			//код для подсветки активной кнопки
			
			$classhl =array();
			array_splice($classhl, 0);
			if(isset($indx)) $classhl[$indx]= "'imMnMnCurrent'";
			
			//подключение TinyMCE
			
			if(!isset($_GET['nv'])) $nv=4 ; else $nv=$_GET['nv'];
			$strpath="../../sg_cm/redTMCE".$nv;
			$red=getcwd();
			for($i=0; $i<100; $i++)
			{
				if(file_exists("public_html"))break;
				if (!file_exists($strpath)) chdir("..");
				else break;
			}
			include_once ($strpath);
			chdir($red);
		?>
		
		<style  type="text/css">
			#imMnMn {top: 4px;left: 20px;} 
		</style>
		<script>
			function formHandler(formName){ var p=document.getElementsByName(formName)[0].selectpage;
				var PAR = p.options[p.selectedIndex].value;
				URL = "../../sg_cm/sg_cm/index.php?ind="+PAR;
				window.location.href = URL;
			}
			function formHandler3(scriptName){var p=document.form3.selectpage3;
				var PAR3 = p.options[p.selectedIndex].value; 
				URL3 = "../../"+PAR3+"/admin/adm.php"; if (PAR3!="--Скрипты--") {window.location.href = URL3;}
				else {$("select[name='selectpage3']").val(scriptName);}
			}
			function func_alert(){obj=document.getElementById('scanalert'); obj.innerHTML='<H1> Идет сканирование! </H1>'; if (obj.style.display=="none") { obj.style.display="block";}}
			function formHandler4(){
				document.form1.submit();
			}
			
			function doMenu(item) { obj=document.getElementById(item); if (obj.style.display=="none") { obj.style.display="block"; } else { obj.style.display="none"; } } 
			function doMenu2(item) { obj=document.getElementById(item);  if (obj.style.visibility=="hidden") { obj.style.visibility="visible"} else { obj.style.visibility="hidden";} }
			function select_all(obj) 
			{ var text_val=eval(obj); 
			text_val.select(); }
			;
			
			function hideBackGr(item){var hide=document.getElementById(item).style;
			if(hide.zIndex!=4){hide.zIndex=4;hide.opacity=0.4;}else{hide.zIndex=0;hide.opacity=0;}}
			;
			
			function openGalEditor(vId){String(vId);return x5engine.imShowBox({effect : 'fade', closeImg: '../../sg_cm/sg_images/imClose.png', loadingImg: '../../sg_cm/sg_cm/res/imLoad.gif', startIndex: 0, media:[{type: 'iframe', url: '../../sg_cm/sg_foto/red.php?id='+vId+'&op=1', width: 1000, height: 800, description: 'ФОТОГАЛЕРЕИ'}]}, 0)};
			
		</script>
		
        
	</head>
	<body onload="var obj=tinymce.activeEditor.getBody(); var bcolor = localStorage.bcolor;obj.style.backgroundColor = bcolor; ">
		<div id="imHeaderBg"></div>
		<div id="imFooterBg"></div>
		<div id="imPage">
			<div id="imHeader">
				<h1 class="imHidden">Панель администрирования - </h1>
				
				<div style="position: absolute; top: 53px; left: 635px; width: 49px; height: 59px; overflow: hidden;"><?php if(is_file('../../sg_cm/include/b.php')) { ?>
					<div style="cursor: pointer; width:50px; height:50px;" onmouseover="x5engine.imTip.Show(this, {text: 'Сканировать сайт', width: 120});" alt="" onClick="if (confirm('Вы уверены, что задали все необходимые параметры в разделе НАСТРОЙКИ и хотите просканировать сайт?')){document.location.href='../../sg_cm/sg_cm/index.php?scan=1'; func_alert();} else {return false};" >
					</div>
				<?php }?>
				</div>
				<div style="position: absolute; top: 52px; left: 695px; width: 38px; height: 59px; overflow: hidden;"><?php if (trim($indx)=='') {$viewsite='';}
					elseif (is_file('../../'.$indx.'.php')) $viewsite=$indx.'.php';
					elseif(is_file('../../'.$indx.'.html'))   $viewsite=$indx.'.html';				
					elseif (is_file('../../'.basename($indx).'.php')) $viewsite=basename($indx).'.php';
					elseif(is_file('../../'.basename($indx).'.html'))   $viewsite=basename($indx).'.html';
				else $viewsite='';?>
				<div  onmouseover="x5engine.imTip.Show(this, {text: 'Просмотр сайта (в новом окне)', width: 120});"  onClick="{var mainwin=window.open('<?php echo '../../'.$viewsite;?>','VIEW_SITE'); mainwin.focus();}" style="cursor: pointer; width:38px; height:50px;">
				</div>
				</div>
				<div style="position: absolute; top: 53px; left: 741px; width: 49px; height: 59px; overflow: hidden;"><div onmouseover="x5engine.imTip.Show(this, {text: 'Менеджер страниц', width: 120});" onClick="hideBackGr('adminpanel0');	document.getElementById('page_manager').innerHTML = 'Менеджер страниц';	document.getElementById('open_block').style.display='block';frame1.location.href='../../sg_cm/tinymce/plugins/filemanager/dialog.php?type=0&papka=content&editor=mce_0&lang=ru&fldr=';return false;" style="cursor: pointer; width:43px; height:50px;">
				</div>
				</div>
				<div onclick="x5engine.utils.location('../../sg_cm/sg_cm/index.php?ind=index'); return false;" style="position: absolute; top: -7px; left: 20px; width: 126px; height: 108px; cursor: pointer;"></div>
				<div onclick="x5engine.utils.location('../../sg_cm/set/admin6.php'); return false;" onmouseover="x5engine.imTip.Show(this, { text: 'Настройки', width: 120});" style="position: absolute; top: 52px; left: 848px; width: 48px; height: 48px; cursor: pointer;"></div>
				<div onclick=" return x5engine.utils.imPopUpWin('../../cons', '', -1, -1, true);" onmouseover="x5engine.imTip.Show(this, { text: 'Вход для консультантов', width: 120});" style="position: absolute; top: 53px; left: 793px; width: 49px; height: 49px; cursor: pointer;"></div>
				<div onclick="x5engine.utils.location('../../sg_cm/set/admin6.php?quit=1'); return false;" onmouseover="x5engine.imTip.Show(this, { text: 'Выход', width: 120});" style="position: absolute; top: 55px; left: 906px; width: 49px; height: 49px; cursor: pointer;"></div>
				<div style="position: absolute; top: 124px; left: 30px; width: 580px; height: auto; overflow: visible;">
					
					<?php 
						@include ('../../sg_cm/include/mmenu.php'); @include('../../sg_cm/include/mmenu.html');
						
						if (count($PG1)==0) $dnone='display:none;'; else {$dnone='';natsort($PG2);} 
					?> &nbsp;
					<div  onmouseover="x5engine.imTip.Show(this, {text: 'Cтраницы из меню сайта',width: 120});" style="float: left; margin: 0; padding: 0 5px 2px; <?php echo $dnone;?>"><form  method="post" id="form2" name="form2" >
						<SELECT style="height: 24px; width:160px; vertical-align: bottom; padding=0 ;  
						opacity: 0.8; /* Полупрозрачный фон */
						filter: alpha(Opacity=80); /* Прозрачность в IE */
						border:1px solid #E5E5E5;"  NAME="selectpage" onchange="formHandler('form2')" SIZE="1">
							<OPTION  >--Страницы меню--</OPTION>
							
							<?php if (!isset($_GET["ind"])) $_GET["ind"]=''; foreach ($PG1  as $kp) {?>
								
								<OPTION  VALUE="<?php echo $kp ?>" <?php if ($_GET["ind"]==$kp) {echo "selected";} ?>>
									<?php $pt="../../sg_cm/content/".$kp."/zagl"; $text=@file_get_contents($pt); $substr=mb_substr($text,0,25,'UTF-8'); 
									echo $kp." &nbsp;&nbsp;  --  &nbsp;  ".$substr; ?>
								</OPTION><?php } ?> 
						</SELECT> 
					</form></div>&nbsp;
					<?php if (count($PG2)==0) $dnone='display:none;'; else {$dnone=''; natsort($PG2);}?>
					<div  onmouseover="x5engine.imTip.Show(this, {text: 'Cтраницы, скрытые в меню',width: 120});" style="float: left; margin: 0; padding: 0 5px 2px; <?php echo $dnone;?>"><form  method="post" id="formh" name="formh" >
						<SELECT style="height: 24px; width:160px; vertical-align: bottom; padding=0 ;  
						opacity: 0.8; /* Полупрозрачный фон */
						filter: alpha(Opacity=80); /* Прозрачность в IE */
						border:1px solid #E5E5E5;"  NAME="selectpage" onchange="formHandler('formh')" SIZE="1">
							<OPTION  >--Скрытые страницы--</OPTION>
							
							<?php if (!isset($_GET["ind"])) $_GET["ind"]=''; foreach ($PG2  as $kp) {?>
								
								<OPTION  VALUE="<?php echo $kp ?>" <?php if ($_GET["ind"]==$kp) {echo "selected";} ?>>
									<?php $pt="../../sg_cm/content/".$kp."/zagl"; $text=@file_get_contents($pt); $substr=mb_substr($text,0,25,'UTF-8'); 
									echo $kp." &nbsp;&nbsp;  --  &nbsp;  ".$substr; ?>
								</OPTION><?php } ?> 
						</SELECT> 
					</form></div>&nbsp;
					<?php
					if (count($PScript)==0 || (count($PScript)==1 && !file_exists('../../hs_quest/index.php') && file_exists('../../hs_quest'))) $dnone='display:none;'; else $dnone=''; ?>
					<div  onmouseover="x5engine.imTip.Show(this, {text: 'Динамические модули(скрипты)', width: 120});" style="float: left; margin: 0; padding: 0 5px 2px; <?php echo $dnone;?>">
						<form  method="post" id="form3" name="form3" >
							<SELECT  style="height: 24px; width:160px; vertical-align: bottom; padding=0 ;  
							opacity: 0.8; /* Полупрозрачный фон */
							filter: alpha(Opacity=80); /* Прозрачность в IE */
							border:1px solid #E5E5E5;"  NAME="selectpage3" onchange="formHandler3(<?php echo '\''.$curscriptpage.'\'';?>)" SIZE="1">
								<OPTION  >--Скрипты--</OPTION>
								
								<?php foreach ($PScript as $kp) {?>
									
									<OPTION  VALUE="<?php echo $kp ?>" <?php if ($curscriptpage==$kp) {echo "selected";} ?>>
										<?php $text=''; $pt="../../".$kp."/admin/db/zagl"; $zagl='';
											if (is_file($pt)) {include($pt); $substr=mb_substr($zagl,0,25,'UTF-8');}else $substr=''; 
										echo $kp." &nbsp;&nbsp;  --  &nbsp;  ".$substr; $zagl='';$indx=$IndX;?>
									</OPTION><?php } ?> 
							</SELECT> 
						</form>
					</div></div>
					<div style="position: absolute; top: 22px; left: 161px; width: 444px; height: 90px; overflow: hidden;"><div style="text-align: left; line-height:30px; position:relative; top:16px"><span style="color: #ffffff; font-size: 20pt;"><strong><em>Панель администрирования </br><?php 
						//////////////////////				
						$server_name_cirr=$_SERVER['SERVER_NAME'];
						if (stripos($server_name_cirr, 'xn--')!==false && is_file('../../sg_cm/include/idna_convert.class.php')){				
							require_once('../../sg_cm/include/idna_convert.class.php');
							$idn = new idna_convert(array('idn_version'=>2008));
							$server_name_cirr=$idn->decode($server_name_cirr) ;
						}
						//////////////////////////
					echo @rtrim($server_name_cirr."/".$sg_root,'/');?></em></strong></span></div></div>
					<div style="position: absolute; top: 5px; left: 848px; width: 126px; height: 32px; overflow: hidden;"><!-- Date and Time.Date Time: START -->
						<span style="font-weight: normal; font-style: normal; font-family:Tahoma; font-size:10pt; color: white"> <span class="imNow"></span></span>
					<!-- Date and Time.Date Time: END --></div>
					<div onclick="x5engine.utils.location('../../sg_cm/sg_cm/index.php'); return false;" style="position: absolute; top: 42px; left: 25px; width: 95px; height: 56px; cursor: pointer;"></div>
					<div onclick=" return x5engine.utils.imPopUpWin('http://gswebsite.ru/', '', -1, -1, true);" style="position: absolute; top: 124px; left: 746px; width: 87px; height: 19px; cursor: pointer;"></div>
					<div style="position: absolute; top: 123px; left: 731px; width: 26px; height: 19px; overflow: hidden;"><span style="font-weight: normal; font-style: normal; font-family:Tahoma; font-size:11pt; color: #000000">&copy;</span></div>
					<div style="position: absolute; top: 122px; left: 915px; width: 25px; height: 25px; overflow: hidden;"><a href="#" 
						onclick="var mainwin=window.open('http://gswebsite.ru/sg_cm/sg_cm/popups/help.php','Справка',
					'Width=800, height=600,left=100,top=100,status=no,toolbar=no,menubar=no,scrollbars=yes,resizable=yes'); mainwin.focus();return false;" title="Справка" class="help_link"> &nbsp;&nbsp;&nbsp;</a></div>
			</div>
			<a class="imHidden" href="#imGoToCont" title="Заголовок главного меню">Перейти к контенту</a>
			<a id="imGoToMenu"></a><p class="imHidden">Главное меню:</p>
			<div id="imMnMn" class="auto">
				<!-- Menu -->
			</div>
			<div id="imContentGraphics"></div>
			<div id="imContent">
				<a id="imGoToCont"></a>
				<div style="width: 990px; float: left;">
					<div style="float: left; width: 198px;">
						<div style="height: 15px;">&nbsp;</div>
					</div>
					<div style="float: left; width: 181px;">
						<div style="height: 15px;">&nbsp;</div>
					</div>
					<div style="float: left; width: 230px;">
						<div id="imCell_3" style="z-index:20" class="imGrid[0, 0]"><div id="imCellStyleGraphics_3"></div><div id="imCellStyle_3"><div id="imHTMLObject_3" class="imHTMLObject" style=" overflow: hidden; text-align: center;"><div id="open_block" >
							<div>
								<p><strong><span id=page_manager style="margin-left:18px; float:left; font-family: arial,helvetica,sans-serif; font-size: 16pt;">
								</span>
								
								</strong></p>
								
								<a  href="<?php echo rtrim(basename($_SERVER['PHP_SELF'])."?".$_SERVER['QUERY_STRING'], "?"); ?>" title="Закрыть окно" id="close"  style="cursor: pointer; ">
									<img src="../../sg_cm/sg_images/imClose.png" title="Закрыть окно" style="position: absolute; right: -16px; top: -16px; cursor: pointer; display: block; width: 24px; height: 24px;">
								</a>
								
							</div>
							<iframe name="frame1" width="900" height="600">
								Ваш браузер не поддерживает плавающие фреймы!
							</iframe>
						</div>
						<div id=scanalert style="display:none; position:absolute; padding:10px; top:6px; width:200px; background-color:white;"></div>
						</div></div></div>
					</div>
					<div style="float: left; width: 381px;">
						<div style="height: 15px;">&nbsp;</div>
					</div>
					
				</div>
				<div class="imClear"></div>
			</div>
		</div>
		<span class="imHidden"><a href="#imGoToCont" title="Прочесть эту страницу заново">Назад к содержимому</a> | <a href="#imGoToMenu" title="Прочесть этот сайт заново">Назад к главному меню</a></span>
		
		<noscript class="imNoScript"><div class="alert alert-red">Чтобы использовать этот сайт, необходимо включить JavaScript</div></noscript>
		<div id='adminpanel0' style="background-color:grey; opacity:0; position:fixed; width:100%; height:100%;top:0px">	</div>	
		<div id='adminpanel' style="position:absolute; width:100%;top:154px">
			
				